%define _kernel 2.6.29_yos-61
#disable stripping as it seems to interfere with the kernel modules
%define __arch_install_post	%{nil} \

%define __build_vbox    1

Summary:        	virtualizer for x86 hardware (like vmware)
Name:          		VirtualBox
Version:       		2.2.0
Release:       		8._yoper_alpha_
Copyright:      	GPL
Group:          	System/Emulators
URL:           		http://www.virtualbox.org/
Distribution:   	Yoper
BuildRoot:      	%{_tmppath}/%{name}-buildroot
Packager:		vacant

Source0:       		http://download.virtualbox.org/virtualbox/%{version}/VirtualBox-%{version}-OSE.tar.bz2
Source1:		vboxdrv-init
Source2:		vboxnet-init

Patch0:			VirtualBox-2.1.4-3-OSE-swab-del.diff

BuildRequires:		gcc g++ glibc-devel linux-libc-headers xalan-c-devel python-devel
BuildRequires:		kernel-headers-%{_kernel}
BuildRequires:		libcap-devel dbus-devel wine-devel
BuildRequires:		mkisofs libxslt-devel libIDL-devel qt4-devel
BuildRequires:		libXcursor-devel iasl dev86 xerces-c-devel compat-libstdc.so.5
BuildRequires:		which e2fsprogs-devel SDL-devel zlib alsa-lib-devel glib2-devel
BuildRequires:		pulseaudio-devel libpng-devel oss-gpl-devel Mesa-devel

Requires:		kernel-module-%{name}-%{_kernel} yopermaintain xorg-x11-base xdg-utils
Requires:		bridge-utils uml_utilities

Requires(pre):		kernel-module-%{name}-%{_kernel}
Requires(post):	chkconfig netinitscripts
Requires(preun):	chkconfig netinitscripts

%description
InnoTek VirtualBox is a general-purpose full virtualizer for x86 hardware. Targeted at server, desktop and embedded use, it is now the only professional-quality virtualization solution that is also Open Source Software.

%package sdk
Summary:        	Sdk files of %{name}
Group:          	System/Development
Requires:       	%{name} = %{version}

%description sdk
These are sdk files of %{name}

%package qt4
Summary:        	QT4 UI for %{name}
Group:          	System/Development
Requires:       	%{name} = %{version}

%description qt4
QT4 UI for %{name}

%package -n kernel-module-%{name}-%{_kernel}
Summary:        %{name} kernel module
Group:          System/Kernel
Requires:       /boot/vmlinuz-%{_kernel}
Requires(pre):  /boot/vmlinuz-%{_kernel}
Requires:       module-init-tools
Provides:       kernel-module-%{name}-%{_kernel}

%description -n kernel-module-%{name}-%{_kernel}
Kernel module for %{name}.

%package -n kernel-module-%{name}-guest-%{_kernel}
Summary:        %{name} kernel module
Group:          System/Kernel
Requires:       /boot/vmlinuz-%{_kernel}
Requires(pre):  /boot/vmlinuz-%{_kernel}
Requires:       module-init-tools
Provides:       kernel-module-%{name}-guest-%{_kernel}

%description -n kernel-module-%{name}-guest-%{_kernel}
Kernel Module to use if Yoper is run inside a Virtual Box VM

%prep
#causes odd error, no solution found till now
[ -z "$(grep 'linux\/freezer.h' /usr/include/linux/fs.h)" ] || exit 1
%setup -q -n %{name}-%{version}_OSE
%patch0

sed -i -e '
/^# VBOX_USE_INSERT_PAGE = 1/ c\
VBOX_USE_INSERT_PAGE = 1
' ./src/VBox/HostDrivers/Support/linux/Makefile

%build
export PATH_KBUILD=$PWD/kBuild
export BUILD_TYPE=release
export BUILD_PLATFORM_CPU=i686
export BUILD_PLATFORM_ARCH=x86
export BUILD_PLATFORM=linux
export BUILD_TARGET_CPU=i686
export BUILD_TARGET_ARCH=x86
export BUILD_TARGET=linux
export PATH=$PATH:$PWD/kBuild/bin/linux.x86:/usr/lib/qt-4.4/bin
export KERN_DIR=/usr/src/linux-%{_kernel}
export QTDIR=/usr/lib/qt-4.4

./configure  \
%if %{__build_vbox}
--with-qt4-dir=/usr/lib/qt-4.4 \
%else
--build-headless \
--disable-xpcom \
%endif
--enable-hardening \
--with-linux=/usr/src/linux-%{_kernel}

source env.sh

kmk all %{_smp_mflags}

mkdir -p %{_kernel}/misc

for file in VBoxGuest/vboxguest.ko \
vboxnetflt/vboxnetflt.ko \
vboxadd/vboxadd.ko \
vboxdrv/vboxdrv.ko \
vboxvfs/vboxvfs.ko ; do

mv ./out/linux.x86/release/obj/$file %{_kernel}/misc

done

#oddly enough the module built by default does have unresolved symbols repeating the process
#manually issuing exactly same commands does work, 
#odd difference in environment ?

for dir in out/linux.x86/release/bin/src/{vboxdrv,vboxnetflt} ; do
cd $dir
make clean
make -C /usr/src/linux-%{_kernel}/ SUBDIRS=`pwd` SRCROOT=`pwd`
cd $OLDPWD
install -m 644 $dir/$(echo `basename $dir`| tr '[:upper:]' '[:lower:]').ko %{_kernel}/misc
done

#confirm working md5sums
cat > kmod.md5sums <<"EOF"
fc0f76a1f2ec8256c341ca2e9a114f0e  %{_kernel}/misc/vboxdrv.ko
e22daf7ec846f28e6aee7eeaba005c24  %{_kernel}/misc/vboxnetflt.ko
#e75489c6c566928d70ada0b51a5244aa  %{_kernel}/misc/vboxadd.ko
#6d452c2a5f9de9ab906d1ad411391e08  %{_kernel}/misc/vboxguest.ko
#dc22811d8f3788093dafe14b0a6d1dce  %{_kernel}/misc/vboxvfs.ko
EOF

#md5sum -c kmod.md5sums || exit 1

%install
if [ -d "$RPM_BUILD_ROOT" ] && [ "$RPM_BUILD_ROOT" != "/" ] ; then rm -rf $RPM_BUILD_ROOT; fi
export PATH_KBUILD=$PWD/kBuild
export BUILD_TYPE=release
export BUILD_PLATFORM_CPU=i686
export BUILD_PLATFORM_ARCH=x86
export BUILD_PLATFORM=linux
export BUILD_TARGET_CPU=i686
export BUILD_TARGET_ARCH=x86
export BUILD_TARGET=linux
export PATH=$PATH:$PWD/kBuild/bin/linux.x86

INSTALLDIR="%{_prefix}/%{name}-%{version}/"
LDCONFFILE="/etc/ld.so.conf.d/%{name}.conf"
PROFILEDFILESH="/etc/profile.d/%{name}.sh"

%if %{__build_vbox}

(
cd out/linux.x86/release
rm -f bin/vboxdrv.ko
rm -rf bin/src
rm -rf bin/additions/src
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
mkdir -p $RPM_BUILD_ROOT%{_prefix}/%{name}-%{version}/
mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/VBoxSVC
mv bin/* lib $RPM_BUILD_ROOT%{_prefix}/%{name}-%{version}/
)

echo "$INSTALLDIR" >> $RPM_BUILD_ROOT/$LDCONFFILE

echo "pathman $INSTALLDIR" >> $RPM_BUILD_ROOT/$PROFILEDFILESH

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

cat > $RPM_BUILD_ROOT%{_datadir}/applications/virtualbox-qt4.desktop << "EOF"
[Desktop Entry]
Name=Virtual Box - QT4
Comment=Tool for permitting specific users to launch specific root-only applications
Icon=%{_prefix}/%{name}-%{version}/VBox.png
Exec=LD_LIBRARY_PATH=%{_prefix}/%{name}-%{version} %{_prefix}/%{name}-%{version}/VirtualBox
Type=Application
Terminal=false
Categories=System
X-Desktop-File-Install-Version=0.2
EOF

find $RPM_BUILD_ROOT -type f -exec file '{}' \; |grep "ELF 32-bit LSB" | awk -F: '{print $1}' | xargs chmod 755

%endif

mkdir -p $RPM_BUILD_ROOT/lib/modules
mv %{_kernel} $RPM_BUILD_ROOT/lib/modules/

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/vboxdrv
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/vboxnet

cat > $RPM_BUILD_ROOT/lib/modules/%{_kernel}/misc/vbox.md5sums <<"EOF"
e75489c6c566928d70ada0b51a5244aa  /lib/modules/%{_kernel}/misc/vboxadd.ko
fc0f76a1f2ec8256c341ca2e9a114f0e  /lib/modules/%{_kernel}/misc/vboxdrv.ko
6d452c2a5f9de9ab906d1ad411391e08  /lib/modules/%{_kernel}/misc/vboxguest.ko
ffc9dfc30dac5f41700d4a207f8676a8  /lib/modules/%{_kernel}/misc/vboxnetflt.ko
dc22811d8f3788093dafe14b0a6d1dce  /lib/modules/%{_kernel}/misc/vboxvfs.ko
EOF

chmod 4511 $RPM_BUILD_ROOT%{_prefix}/%{name}-%{version}/{VirtualBox,VBoxSDL,VBoxNetDHCP,VBoxNetAdpCtl,VBoxHeadless}

%clean
rm -rf $RPM_BUILD_DIR/vbox
rm -rf $RPM_BUILD_ROOT

%preun
if [ "$1" = "0" ]; then
        /sbin/service vboxnet stop >/dev/null 2>&1
	/sbin/chkconfig --del vboxnet 
        /sbin/service vboxdrv stop >/dev/null 2>&1
	/sbin/chkconfig --del vboxdrv
fi
 
%post
/sbin/ldconfig
/sbin/chkconfig --add vboxdrv && /sbin/chkconfig --level 35 vboxdrv on && /sbin/service vboxdrv start 2>/dev/null ||:
/sbin/chkconfig --add vboxnet && /sbin/chkconfig --level 35 vboxnet on && /sbin/service vboxnet start 2>/dev/null ||:

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service vboxnet condrestart
	/sbin/service vboxdrv condrestart
fi

%if %{__build_vbox}

%files
%defattr(-,root,root)
%attr(644,root,root) /etc/ld.so.conf.d/%{name}.conf
%attr(755,root,root) /etc/profile.d/%{name}.sh


%attr(755,root,root) %{_prefix}/%{name}-%{version}
%attr(4511,root,root) %{_prefix}/%{name}-%{version}/VBoxSDL
%attr(4511,root,root) %{_prefix}/%{name}-%{version}/VBoxNetDHCP
%attr(4511,root,root) %{_prefix}/%{name}-%{version}/VBoxNetAdpCtl
%attr(4511,root,root) %{_prefix}/%{name}-%{version}/VBoxHeadless
%_localstatedir/run/VBoxSVC

%exclude %{_prefix}/%{name}-%{version}/sdk
%exclude %{_prefix}/%{name}-%{version}/VirtualBox
%exclude %{_datadir}/applications/virtualbox-qt4.desktop

%files qt4
%defattr(-,root,root)
%attr (4511,root,root) %{_prefix}/%{name}-%{version}/VirtualBox
%{_datadir}/applications/virtualbox-qt4.desktop

%files sdk
%defattr(-,root,root)
%{_prefix}/%{name}-%{version}/sdk
/usr/VirtualBox-%{version}/sdk/bindings/xpcom

%endif

%files -n kernel-module-%{name}-%{_kernel}
%defattr(-,root,root)
%attr(755,root,root) /etc/rc.d/init.d/vboxdrv
%attr(755,root,root) /etc/rc.d/init.d/vboxnet
/lib/modules/%{_kernel}/misc/vbox.md5sums
/lib/modules/%{_kernel}/misc/vboxdrv.ko
/lib/modules/%{_kernel}/misc/vboxvfs.ko
/lib/modules/%{_kernel}/misc/vboxnetflt.ko


%files -n kernel-module-%{name}-guest-%{_kernel}
%defattr(-,root,root)
/lib/modules/%{_kernel}/misc/vboxguest.ko
/lib/modules/%{_kernel}/misc/vboxadd.ko

%post -n kernel-module-%{name}-%{_kernel}
depmod -a %{_kernel} >/dev/null 2>&1 || :

[ -z "`grep ^vboxdrv /etc/modules-%{_kernel} 2>/dev/null`" ] && echo vboxdrv >> /etc/modules-%{_kernel}

if test "`uname -r`" = "%{_kernel}" && test -n "`lsmod |grep vboxdrv 2>/dev/null`" ; then
        rmmod vboxdrv >/dev/null 2>&1 ||:
        modprobe vboxdrv >/dev/null 2>&1 ||:
fi

%preun -n kernel-module-%{name}-%{_kernel}
if test "`uname -r`" = "%{_kernel}" ; then
        rmmod vboxdrv >/dev/null 2>&1 ||:
fi

if [ "$1" = "0" ] ; then
	sed -i -e '/^vboxdrv/d' /etc/modules-%{_kernel}
fi

%postun -n kernel-module-%{name}-%{_kernel}
[ -d "/lib/modules/%{_kernel}" ] && depmod -a %{_kernel} >/dev/null 2>&1

%pre -n kernel-module-%{name}-%{_kernel}
/usr/sbin/groupadd -g 39 vboxusers >/dev/null 2>&1 ||:
